[Risolto] interrompe la dipendenza 'libx264.so=148-64'

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
Avatar utente
maofree
Novello Arciere
Messaggi: 26
Iscritto il: 26 novembre 2010, 5:05
Contatta:

[Risolto] interrompe la dipendenza 'libx264.so=148-64'

Messaggio da maofree » 12 gennaio 2018, 18:43

Ciao

da qualche giorno non riesco più ad aggiornare i pacchetti con pacman per colpa di un conflitto tra pacchetti
di solito riesco a risolvere senza problemi questi tipi di conflitti rimuovendoli e poi reinstallandoli, ma in questo caso rimuovere libx264 o ffmpeg diventa un problema perchè ci sono molte applicazioni che dipendono da questi pacchetti

errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: ffmpeg0.10: l'installazione di libx264 (2:152.20171224-1) interrompe la dipendenza 'libx264.so=148-64'

come risolvo?

grazie
Ultima modifica di maofree il 12 gennaio 2018, 19:46, modificato 1 volta in totale.

gaglioffo
Arciere
Messaggi: 319
Iscritto il: 11 maggio 2016, 21:06

Re: interrompe la dipendenza 'libx264.so=148-64'

Messaggio da gaglioffo » 12 gennaio 2018, 18:51

ma perché hai installato ffmpeg0.10? che roba è? cancellalo e installa il ffmpeg tradizionale:

Codice: Seleziona tutto

sudo pacman -Rs ffmpeg0.10
sudo pacman -S ffmpeg
se non riesci a cancellarlo prova a seguire le istruzioni inserite nei commenti della pagina AUR di ffmpeg0.10:
https://aur.archlinux.org/packages/ffmpeg0.10/
oppure puoi provare con un brutale "sudo pacman -Rdd ffmpeg0.10".

Avatar utente
maofree
Novello Arciere
Messaggi: 26
Iscritto il: 26 novembre 2010, 5:05
Contatta:

Re: interrompe la dipendenza 'libx264.so=148-64'

Messaggio da maofree » 12 gennaio 2018, 19:45

ciao
ho rimosso ffmpeg0.10, ffmpeg2.8 e vlc poi reinstallato vlc e fatto l'aggiornamento

ehi grazie

ciao

zorro62
Arciere
Messaggi: 320
Iscritto il: 26 aprile 2011, 18:07

Re: [Risolto] interrompe la dipendenza 'libx264.so=148-64'

Messaggio da zorro62 » 13 gennaio 2018, 14:34

io ho fatto solo :
sudo pacman -Rdd libx264
archlinux-xfce,archlinux.mate

Rispondi